package com.enbinari.laplanaaldiatv;

import android.app.DialogFragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class ProteccionDialogFragment extends DialogFragment {

    private DialogClickListener callback;


    private TextView tvTitle;
    private EditText etPassword;
    private Button btnAceptar;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    private String title;

    public ProteccionDialogFragment() {
        // Empty constructor required for DialogFragment
    }

    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        try {
            callback = (DialogClickListener) getTargetFragment();
        } catch (ClassCastException e) {
            throw new ClassCastException("Calling fragment must implement DialogClickListener interface");
        }
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_dialog_proteccion, container);
        tvTitle = (TextView) view.findViewById(R.id.tvTitle);
        etPassword = (EditText) view.findViewById(R.id.etPassword);
        btnAceptar = (Button) view.findViewById(R.id.btnAceptar);
        getDialog().setTitle("Protección");
        tvTitle.setText(getTitle());
        return view;
    }

    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
        super.onActivityCreated(savedInstanceState);

        btnAceptar.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (!etPassword.getText().toString().isEmpty()) {
                    callback.onPasswordEntered(etPassword.getText().toString());

                }else{
                    callback.onPasswordEmpty();
                }


                getDialog().dismiss();
            }
        });
    }


}